%define prefixpath /usr
Name: wmakerconf
Version: 2.8.1
Release: 11m
Summary: This is a GTK-based configuration tool for Window Maker
Group: User Interface/X
License: GPL
#Icon: wmakerconf.xpm
Source: http://ulli.on.openave.net/wmakerconf/wmakerconf-%{version}.tar.gz
URL: http://ulli.on.openave.net/wmakerconf/
Requires: libPropList >= 0.10.1, WindowMaker >= 0.70.0, gtk+1 >= 1.2.10, perl, gzip
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: WindowMaker >= 0.70.0, libpng-devel >= 1.2.2
BuildPrereq: perl

%description

wmakerconf is a GTK+ based configuration tool for the window manager
Window Maker. All attributes (including the application menu) can be
configured by wmakerconf, making it an alternative (or add-on) for the
built in Window Maker configuration tool WPrefs. Moreover, an easy
theme installation via WWW is available: a simple drag and drop
operation from your favorite browser to your wmakerconf themes
interface will do the job.

%prep
%setup -q
perl -p -i -e "s|charset=JISX-0208-1983-0|charset=EUC-JP|g" po/ja.po
perl -p -i -e "s|charset=JISX-0208-1983-0|charset=EUC-JP|g" data/po/ja.po
%build
autoconf
CFLAGS="%{optflags}" ./configure --prefix=%{prefixpath} \
	--with-wmakerprefix=%{prefixpath} --disable-gtktest\
	--disable-upgrade  --bindir=/usr/X11R6/bin
make

%install
rm -rf %{buildroot}
make install prefix=%{buildroot}%{prefixpath} \
 bindir=%{buildroot}/usr/X11R6/bin \
 GNOMEDIR=%{buildroot}/usr/share/gnome/apps/Settings

strip %{buildroot}/usr/X11R6/bin/wmakerconf
strip %{buildroot}/usr/X11R6/bin/mkpreview

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog NLS-TEAM1  NEWS README TODO MANUAL
/usr/X11R6/bin/*
%{prefixpath}/share/wmakerconf
%{prefixpath}/share/locale/*/LC_MESSAGES/wmakerconf-data.*
%{prefixpath}/share/locale/*/LC_MESSAGES/wmakerconf.*
%{prefixpath}/share/gnome/apps/Settings/wmakerconf.desktop

%changelog
* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.8.1-11m)
- invoke autoconf to ignore gcc-3.X warnings

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.8.1-10k)
- rebuild against libpng 1.2.2.

* Mon Dec 03 2001 Motonobu Ichimura <famao@kondara.org>
- (2.8.1-8k)
- japanese related stuff

* Fri Nov  9 2001 Toru Hoshina <t@kondara.org>
- (2.8.1-6k)
- it's not always necessary lynx.

* Sun Oct 14 2001 Toru Hoshina <t@kondara.org>
- (2.8.1-4k)
- rebuild against libpng 1.2.0.

* Mon Oct  8 2001 Toru Hoshina <t@kondara.org>
- (2.8.1-2k)
- version up.

* Fri Apr 28 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- up to 2.6.1

* Tue Apr 17 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- fix for Kondara/MNU linux

* Fri Jan 21 2000 Ullrich Hafner <hafner@bigfoot.de>
- upgraded to wmakerconf 2.5

* Sun Dec 5 1999 Ullrich Hafner <hafner@bigfoot.de>
- upgraded to wmakerconf 2.4
- make the data package part of wmakerconf 

* Mon Oct 18 1999 Steve Hamlin <steve@hamlinx.com>
- upgraded to wmakerconf 2.3
- applied preview crash patch (and fixed location mistake)
- added data package back, but now built separately 
- removed libPropList package
- relocated to /usr/X11R6 from /usr

* Sun Mar 14 1999 Ullrich Hafner <hafner@bigfoot.de>
- upgraded to wmakerconf 1.8
- removed data package
- new NLS structure

* Fri Feb 12 1999 Ullrich Hafner <hafner@bigfoot.de>
- upgraded to wmakerconf 1.7

* Wed Jan 20 1999 Ullrich Hafner <hafner@bigfoot.de>
- upgraded to wmakerconf 1.6

* Tue Dec 22 1998 Ullrich Hafner <hafner@bigfoot.de>
- upgraded to wmakerconf 1.5
- added prefix

* Thu Nov 19 1998 Ullrich Hafner <hafner@bigfoot.de>
- upgraded to wmakerconf 1.3
- updated data files for windowmaker 0.20.2 and above
- split into wmakerconf and wmakerconf-data package

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- updated data files for windowmaker 0.20 and above

* Fri Sep 18 1998 Cristian Gafton <gafton@redhat.com>
- packaged for 5.2 to be used with WindowMaker
